Loading...
Searching...
No Matches
gx_json.h File Reference

Go to the source code of this file.

## Classes

class | gx_system::JsonException
class | gx_system::JsonExceptionEOF
class | gx_system::JsonWriter
class | gx_system::JsonStringWriter
class | gx_system::JsonParser
class | gx_system::JsonSubParser
class | gx_system::JsonStringParser
class | gx_system::SettingsFileHeader
class | gx_system::StateFile
class | gx_system::PresetTransformer
class | gx_system::PresetFile
class | gx_system::PresetFile::Position
class | gx_system::PresetFileGui
class | gx_system::AbstractStateIO
class | gx_system::AbstractPresetIO
class | gx_system::PresetBanks
class | gx_system::PresetBanks::iterator
class | gx_system::GxSettingsBase

## Namespaces

namespace | gx_engine
namespace | gx_system

## Macros

#define | SRC_HEADERS_GX_JSON_H_

## Enumerations

enum | { gx_system::PRESET_FLAG_VERSIONDIFF = 1 , gx_system::PRESET_FLAG_READONLY = 2 , gx_system::PRESET_FLAG_INVALID = 4 }

## Macro Definition Documentation

## SRC_HEADERS_GX_JSON_H_

#define SRC_HEADERS_GX_JSON_H_

Definition at line 26 of file gx_json.h.